function [ neighbors ] = FindFacebookNeighbors_binary( fileName, node_index, max_node_index )
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here

if nargin < 3
    max_node_index = 957359;
end

if node_index >= max_node_index
    neighbors = -1;
    return;
end

fid = fopen(fileName);
fseek(fid, 0, 'eof');
fileSize = ftell(fid);

line = FindLineNumber(fid, fileSize, node_index);

fclose(fid);

if line == -1
    return;
end

neighbors = str2double(regexp(line, ' +', 'split'));
neighbors(2) = []; %the second number is a timestamp


end

